/* GENERAL */

@media print {
    .no-print,
    .no-print * { display: none !important; }
}

/* DEFAULT STYLING */

body {font-family: "Segoe UI", Arial, sans-serif; width: 100%; margin-left:0; margin-right:0;}
.help-icon {font-size: 40px;}
.help-icon-container {display: inline-block; float: right; margin: 15px;}
.pointer {cursor: pointer;}

/* Modal dialogs */
.modal-mask {display: none; position: fixed; z-index: 999; left: 0; top: 0; width: 100%; height: 100%; overflow: auto;
  text-align: center;}
.modal-content {padding: 16px 16px 100px 16px; margin: 20% auto auto auto; border: 1px solid #888; width: 50%;}
.modal-button {padding: 14px 20px; margin: 8px 0; border: none; cursor: pointer; opacity: 0.9; float: left;}
.modal-1-button {width: 100%;}
.modal-2-button {width: 50%;}
.modal-3-button {width: 33%;}
.modal-button:hover {opacity:1;}

/* Dialog Boxes */
.dialog-box-mask {display: none; position: fixed; z-index: 999; left: 0; top: 0; width: 100%; height: 100%; overflow: auto;
  text-align: center; }
.dialog-box-message-box {padding: 16px; border: 1px solid #888; align-self: center;
  margin: auto; width: 500px; display: block; }
.dialog-box-title { margin-top: 10px; }
.dialog-box-message {margin-top: 25px; margin-bottom: 25px;}
.dialog-box-button-container { margin: auto; height: 50px; }
.dialog-box-button { padding: 14px 20px; margin: 8px 0; border: none; cursor: pointer; opacity: 0.9; width: 115px; display: inline-block;}
.dialog-box-button:hover {opacity:1;}

/* Hover text */

.has-hover-text {position: relative; /* display: inline-block; */}
.hover-text {font-size: 15px; visibility: hidden; text-align: left; padding: 10px; border-radius: 6px;
    position: absolute; top: 120%; left: 50%; margin-left: -70px; z-index: 1;}
.has-hover-text:hover .hover-text {visibility: visible;}
.hover-text:hover {visibility: visible;}

/* Context menus */

.context-menu {display: none; position: absolute; z-index: 10; border-top: medium solid #EEE;
  border-left: medium solid #EEE; border-bottom: medium solid #AAA; border-right: medium solid #AAA; padding-right:15px; }
.context-menu--active {display: block;}
.context-menu-item {cursor: pointer;}
.context-menu-item.context-menu-starts-group {border-top: thin solid #AAA; padding-top: 5px; margin-top: 5px;}
/* PAGE ELEMENTS */

/* Top menu */

#top-menu-spacer {padding: 0; margin: 0; width: 100%; height: 60px;}
#top-menu { position: fixed; top: 0; left: 0; padding: 0; margin: 0; z-index: 999; width: 100%;
    text-align: left; font-size: 20px; min-height: 55px; border-bottom-width: thick; border-bottom-style: solid;}
#top-menu-logo { float: left; margin: 5px 0 5px 120px;}
#top-menu-site-name {float: left; font-size: 125%; margin: 10px 15px;}
#top-menu-items {float: right; margin: 15px 120px 0 0; padding: 0;}
.top-menu-item { list-style: none; padding: 0 15px 7px 15px; }
.top-menu-dropdown { display: inline-block;}
.top-menu-dropdown:hover .top-menu-dropdown-content { display: block; }
.top-menu-dropdown-content { text-align: left; display: none; position: absolute;
  min-width: 180px; box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2); z-index: 1; padding: 10px;}
.top-menu-dropdown-item { padding: 8px 16px; text-align: left; font-size: 18px; cursor: pointer;}
.top-menu-icon {font-size: 30px;}
#top-menu a,
#top-menu a:visited {text-decoration: none;}
#top-menu-help {}

/* Footer */

#footer-content {text-align: center; font-size: 10px; width: 100%;}
#footer-blocks {margin: 5px auto 0 auto;}
#footer-text {vertical-align: top; font-size: 18px; text-align:center; padding-top: 4px;}

/* GENERIC DATA */

body.list-screen #list-content {width: 1000px; margin: auto; }
body.list-screen #list-content div.hover-text {width: 200px; margin-left: -100px;}
body.list-screen #header-table {width: 100%; margin: 0; border-collapse: collapse;}
body.list-screen #header-table tr {vertical-align: bottom;}
body.list-screen #list-title {font-size: 40px; text-align: left; font-weight: bold; margin-bottom: 0;}
body.list-screen #header-buttons {text-align: right;}
body.list-screen #list-table {border-width: thin; border-style: solid; border-radius: 10px; padding: 10px; width: 100%;}
body.list-screen #list-table th {text-align: center; font-size: 110%;}
body.list-screen #list-table th.left {text-align: left;}
body.list-screen #list-table th a {text-decoration: none;}
body.list-screen #list-table td {text-align: center; padding-left: 5px; padding-right: 5px; border-top-width: thin; border-top-style: dashed;}
body.list-screen #list-table td.left {text-align: left;}
body.list-screen #no-match-row {border: none; text-align: center; font-style: italic; line-height: 3em; vertical-align: middle; font-size: 18px;}
body.list-screen #magnifier {font-size: 20px;}
body.list-screen #search-box {font-size: 15px; width: 200px; margin-bottom: 7px;}
body.list-screen .list-row {vertical-align: top; border-top: thin dashed #CCC;}
body.list-screen .continuation-row {vertical-align: top;}
body.list-screen .clickable {cursor: pointer;}
body.list-screen .table-data {text-align: left;}
body.list-screen .linked {cursor: pointer; font-weight: bold; text-decoration: none;}
body.list-screen .button {display: inline-block; font-size: 20px; font-weight: bold;
  padding: 8px; border-radius: 10px; cursor: pointer; width: 200px; text-align: center; margin: 5px 0;}
body.list-screen .inactive-flag {text-align: center; border-style: solid; border-width: 3px; border-radius: 15px; padding: 0 10px;}

body.detail-screen #content {width: 100%; text-align: center; margin: auto; }
body.detail-screen #content-table {vertical-align: top; margin: 20px auto;}
body.detail-screen #content-table tr {vertical-align: top;}
body.detail-screen .content-table-cell {padding-left:20px; padding-right:20px;}
body.detail-screen .linked {font-weight: bold; cursor: pointer;}
body.detail-screen #detail-table,
body.detail-screen #detail-table-title,
body.detail-screen #detail-table tr {vertical-align: top;}
body.detail-screen .field-label {text-align: right; font-size: 16px; padding: 4px 5px 0 5px;}
body.detail-screen .field-value {text-align: left; font-size: 20px; padding-right: 5px;}
body.detail-screen #button-edit {width: 200px; margin: 20px; font-size: 20px; padding-bottom: 3px;
  border-width: 4px; border-style: solid; border-radius: 25px; cursor: pointer; display: inline-block;}
body.detail-screen #footer-content {max-width: 250px; margin: auto;}
body.detail-screen .inactive-flag {width: 200px; margin: auto; text-align: center; border-style: solid; border-width: 3px; font-size: 150%; font-style: italic;}
body.detail-screen .clickable {cursor: pointer;}

body.edit-screen #content {width: 100%; text-align: center; margin: auto; }
body.edit-screen #message {border-width: thin; border-style: dashed; border-radius: 5px; text-align: center; margin 10px auto; padding: 6px;}
body.edit-screen .edit-fieldset {text-align: center; margin-left: auto; margin-right: auto; width: 90%;}
body.edit-screen .edit-option-list {text-align: left; margin-left: auto; margin-right: auto; width: 90%;}
body.edit-screen .fieldset-legend {font-style: italic; text-align: left;}
body.edit-screen #detail-table {margin: auto;}
body.edit-screen #buttons-table {text-align: left; margin: auto; border-spacing: 0 10px;}
body.edit-screen .field-label {text-align: right; font-size: 16px; padding: 4px 5px 0 5px;}
body.edit-screen .edit-field {text-align: left; padding-left: 5px; }
body.edit-screen .edit-option {text-align: left; font-size: 16px; padding: 4px 5px 0 5px;}
body.edit-screen .edit-option.edit-option-blank {text-align: center; font-style: italic;}
body.edit-screen .edit-option-label {text-align: left; font-size: 16px; padding: 4px 5px 0 5px;}
body.edit-screen .button-label {text-align: left; font-size: 18px;}
body.edit-screen #buttons-table button {font-size: 25px; width: 40px; height: 40px; margin-right: 10px;}
body.edit-screen #save-confirmation-message {font-size: 20px;}
body.edit-screen .field-input-invalid {border-width: thin; border-style: dashed;}
body.edit-screen #edit-footer {width: 100%; margin-top: 10px; padding-top: 10px;}
body.edit-screen .clickable {cursor: pointer;}

body.log-screen #content {width: 750px; margin: auto; }
body.log-screen #inner-content { border-width: thin; border-style: solid; border-radius: 10px; padding: 10px;}
body.log-screen #log-table-container { min-height: 500px; max-height:500px; overflow-y: scroll;}
body.log-screen #header-table {width: 100%; }
body.log-screen #header-table td {vertical-align: bottom; }
body.log-screen #title {font-size: 30px; text-align: left; font-style: bold;}
body.log-screen #object-name {font-size: 40px; text-align: left; }
body.log-screen #search-box {font-size: 15px; text-align: left; width: 200px; margin-bottom: 7px;}
body.log-screen #log-entry-table {width: 100%; border-collapse: collapse;}
body.log-screen #log-entry-table td {border-bottom-width: thin; border-bottom-style: dashed;}
body.log-screen #log-entry-table tr {vertical-align: top;}
body.log-screen .log-timestamp {font-size: 15px; width: 165px; min-width: 165px;}
body.log-screen .log-entry {font-size: 15px; white-space: pre-line; max-width: 350px;}
body.log-screen .log-username {font-size: 15px; width: 165px; min-width: 165px;}
body.log-screen #log-no-match-row {border: none; text-align: center; font-weight: bold; font-style: italic;}
body.log-screen #log-filter-icon {font-size: 20px;}
